
self.port.on("my-addon-message", addHistory);

function addHistory(input, prefs) {

    var query = null;
	
	if(input.indexOf("www.google") > -1){
		var v = getUrlVars(input);
		var q = v.q;
		if(q){
			query = {};
			query.query = decodeURIComponent(''+q.replace(/\+/g, ' ').replace(/ +(?= )/g,'').trim());
			query.engine = "Google";
			//query.date = Math.floor(new Date().getTime());		
		}
	}else if(input.indexOf("www.bing") > -1){
		var v = getUrlVars(input);
		var q = v.q;
		if(q){
			query = {};
			query.query = decodeURIComponent(''+q.replace(/\+/g, ' ').replace(/ +(?= )/g,'').trim());
			query.engine = "Bing";
			//query.date = Math.floor(new Date().getTime());	
		}		
	}else if(input.indexOf("search.yahoo") > -1){
		var v = getUrlVars(input);
		var q = v.p;
		if(q){
			query = {};
			query.query = decodeURIComponent(''+q.replace(/\+/g, ' ').replace(/ +(?= )/g,'').trim());
			query.engine = "Yahoo";
			//query.date = Math.floor(new Date().getTime());				
		}
	}
	
	if(query){
		query.date = Math.floor(new Date().getTime());
		query.browser = "Firefox";		
		self.port.emit("my-script-lastsubmit", getLocalTime(new Date()));
		query = JSON.stringify(query);
		self.port.emit("my-script-response", query);	
			
		$.ajax({
			url: prefs.puturl,
			type: "POST",
			data: query,
			datatype: "json"
		})
		.done(function(e) {
			self.port.emit("my-script-lastsubmit", getLocalTime(new Date()));
		})
		.fail(function() {
		})
		.always(function() {
		});		
	}
}

function getUrlVars(href)
{
    var vars = [], hash;
    var hashes = href.slice(href.indexOf(href.match('[#?]')) + 1).split(/[&#]+/);
    for(var i = 0; i < hashes.length; i++)
    {
        hash = hashes[i].split('=');
        vars.push(hash[0]);
        vars[hash[0]] = hash[1];
    }
    return vars;
}

function getLocalTime(d) {
	var mins = d.getMinutes() + "";
	if (mins.length == 1) {
		mins = "0" + mins;
	}
	var lu = '' + d.getDate() + '/' + (d.getMonth()+1) + '/' + d.getFullYear() + ' ' + d.getHours() + ':' + mins;
	return lu;
}